For the complete documentation index, see llms.txt. This page is also available as Markdown.

POI Orders

Operations to manage POI (Point of interaction/terminal) Orders for existing merchants.

Create POI Order

post

Adds new Point Of Interactions (terminals) to an existing merchant/store and optionally order hardware and services.

Header parameters
saveDraftbooleanOptional

An optional header indicating whether to save the order into a DRAFT status. If this value is not specified or set to false then the order will be SUBMITTED immediately.

validateAcquirerbooleanOptional

An optional header indicating whether to validate the acquirer.

X-Use-Simplified-Order-FlowbooleanOptional

An optional header indicating to the client, the new approach delegates more logic to the backend, requiring the API/UI client to supply only the essential data when possible. Our backend now intelligently derives missing fields by leveraging defaults and configurations from the Portfolio Service

Body
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
requestedDateOfShipmentstring · date-timeOptional

Requested date of shipment.

merchantIdstring · max: 75Optional

The Merchant identifier to which POIs under this order should refer to while linking a Payment Provider Contract.A new PPC will be created & linked if the MID doesn't already exist or left blank.

Pattern: ^[a-zA-Z0-9]+$
Responses
200

Create POI Order Response.

application/json
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
requestedDateOfShipmentstring · date-timeOptional

Requested date of shipment.

merchantIdstring · max: 75Optional

The Merchant identifier to which POIs under this order should refer to while linking a Payment Provider Contract.A new PPC will be created & linked if the MID doesn't already exist or left blank.

Pattern: ^[a-zA-Z0-9]+$
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

orderTypestringRequiredDefault: POIOrder
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
post/orders/pois
POST /orders/pois HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 7101

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": {
          "processor": "TSYS_US",
          "tidList": [
            "1004631982",
            "1004631983",
            "1004631984"
          ]
        },
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "contract": {
    "brokerId": "text",
    "legalStructure": "PROPRIETOR_OWN_BEHALF",
    "contacts": [
      {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "addressDetails": {
          "receiverName": "text",
          "addressLine1": "213 Miller Street",
          "addressLine2": "North Sydney",
          "addressLine3": "text",
          "poBox": "K1234",
          "city": "York",
          "countrySubdivision": "Georgia",
          "postCode": "2061",
          "country": "AUS",
          "timeZone": "text"
        },
        "dateOfBirth": "2026-01-01",
        "placeOfBirth": "text",
        "isIDCheckRequired": false,
        "isContractSignatureRequired": false,
        "isLegalRepresentative": false,
        "isAuthorizedRepresentative": false,
        "isBeneficiaryOwner": false,
        "isPoliticallyExposed": false,
        "representativeType": "GENERAL_COMMERCIAL_POWER"
      }
    ],
    "settlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "country": "AUS",
      "accountName": "text",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "domesticSettlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumberType": "DEFAULT",
      "accountNumber": "23008275"
    },
    "serviceStartDate": "2026-01-01T00:00:00.000Z",
    "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
    "proprietorAct": true,
    "documents": [
      {
        "documentId": "123e4567-e89b-12d3-a456-426614174000",
        "documentName": "text",
        "displayName": "text",
        "status": "PENDING_UPLOAD",
        "allowedContentTypes": [
          "application/pdf"
        ],
        "allowedContentLength": 2097152,
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "uploadedDate": "2026-01-01T00:00:00.000Z",
        "modifiedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "replacementAgreement": {
      "contractNumber": "text",
      "devices": [
        {
          "serialNumber": "text",
          "deviceModel": "text"
        }
      ]
    }
  },
  "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "shippingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "billingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
  "pois": [
    {
      "type": "UNSPECIFIED",
      "poiId": "text",
      "subPoiId": "text",
      "altVfiPoiId": "1004631982",
      "estateManagementId": "text",
      "estateManagementQrCode": "iVBORw0KGgoAAAANSUhEUgAAAWYAAACeCAYAAAABkKDWAAAAAXNSR0I.....",
      "serialNumber": "text",
      "laneInformation": {
        "customerLaneId": "text",
        "customerLaneDesignator": "text",
        "laneNotes": "text"
      },
      "networkConfig": {
        "ipAddress": "text",
        "ipGateway": "text",
        "subnetMask": "text",
        "networkPrefix": "text",
        "dns1": "text",
        "dns2": "text",
        "wifiSSID": "text",
        "wifiPassword": "text",
        "wpaEncryptionMethod": "text"
      },
      "name": "text",
      "description": "text",
      "status": "ACTIVE",
      "cutoverTime": "17:00",
      "poiUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "acquirerPoiIds": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ],
      "poiLabels": [
        "text"
      ],
      "activationCode": "89EG-1A5F-P3T2",
      "vhqCustomerId": "text",
      "vhqUrl": "https://qa.apac.verifonehq.net",
      "paymentAppParameters": "[Circular Reference]",
      "devicePackage": {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "quantity": 4
      },
      "additionalDevicePackages": [
        {
          "packageBundleId": "PREMIUM-36MONTH",
          "adjustedPrices": [
            {
              "priceModel": "MONTHLY_FEE",
              "price": "20.50"
            }
          ],
          "additionalPackageData": [
            {
              "variableName": "VAT_ID or BAX_ID",
              "variableValue": "1234566"
            }
          ],
          "quantity": 4
        }
      ],
      "deliveryPackage": {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ]
      }
    }
  ],
  "merchantId": "text"
}
{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": "[Circular Reference]",
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "contract": {
    "brokerId": "text",
    "legalStructure": "PROPRIETOR_OWN_BEHALF",
    "contacts": [
      {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "addressDetails": {
          "receiverName": "text",
          "addressLine1": "213 Miller Street",
          "addressLine2": "North Sydney",
          "addressLine3": "text",
          "poBox": "K1234",
          "city": "York",
          "countrySubdivision": "Georgia",
          "postCode": "2061",
          "country": "AUS",
          "timeZone": "text"
        },
        "dateOfBirth": "2026-01-01",
        "placeOfBirth": "text",
        "isIDCheckRequired": false,
        "isContractSignatureRequired": false,
        "isLegalRepresentative": false,
        "isAuthorizedRepresentative": false,
        "isBeneficiaryOwner": false,
        "isPoliticallyExposed": false,
        "representativeType": "GENERAL_COMMERCIAL_POWER"
      }
    ],
    "settlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "country": "AUS",
      "accountName": "text",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "domesticSettlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumberType": "DEFAULT",
      "accountNumber": "23008275"
    },
    "serviceStartDate": "2026-01-01T00:00:00.000Z",
    "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
    "proprietorAct": true,
    "documents": [
      {
        "documentId": "123e4567-e89b-12d3-a456-426614174000",
        "documentName": "text",
        "displayName": "text",
        "status": "PENDING_UPLOAD",
        "allowedContentTypes": [
          "application/pdf"
        ],
        "allowedContentLength": 2097152,
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "uploadedDate": "2026-01-01T00:00:00.000Z",
        "modifiedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "replacementAgreement": {
      "contractNumber": "text",
      "devices": [
        {
          "serialNumber": "text",
          "deviceModel": "text"
        }
      ]
    }
  },
  "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "shippingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "billingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
  "pois": [
    {}
  ],
  "merchantId": "text",
  "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
  "status": "DRAFT",
  "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "createdBy": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "modifiedBy": "text",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderType": "POIOrder",
  "merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchant": {
    "merchantName": "text"
  },
  "internal": {
    "oracleOrderNumber": 1,
    "oracleShippingTrackingReference": "text",
    "kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
    "tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
    "extendedDetails": {
      "status": "DRAFT",
      "code": "text",
      "information": "text",
      "lastChangeTime": "2020-01-06T18:16:14.243Z",
      "canCancel": true
    },
    "orderStats": {
      "minsSinceCreatedToLastUpdate": 0,
      "minsSinceLastStatusUpdate": 0
    },
    "vmssApplication": {
      "visaStatus": "NA ",
      "visaMatches": 1,
      "mcdStatus": "NA ",
      "mcdMatches": 1,
      "mcdTransactionReference": "text"
    },
    "salesforceApplicationId": "text",
    "signingInformation": {
      "provider": "SIGNICAT",
      "providerRef": "text",
      "signedFileUrl": "text",
      "signingRequests": [
        {
          "providerRef": "text",
          "contact": {
            "contactType": "BUSINESS",
            "name": {
              "firstName": "text",
              "lastName": "text",
              "prefix": "text",
              "alternateFullName": "text",
              "middleName": "text",
              "suffix": "text"
            },
            "phoneNumbers": [
              {
                "callingCode": "text",
                "value": "text",
                "extension": "text",
                "isPrimary": false,
                "phoneType": "HOME"
              }
            ],
            "email": "name@gmail.com",
            "businessTitle": "text"
          },
          "signed": false,
          "signedDateTime": "2026-01-01T00:00:00.000Z",
          "signingLink": "text"
        }
      ]
    },
    "econtractNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "draftNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "notificationReminders": {
      "econtract": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "draft": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "docRequired": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      }
    },
    "customerOrderLink": {
      "orderLink": "https://example.com",
      "linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkInitiatorUsername": "text",
      "linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkReceiverUsername": "text",
      "linkSendTime": "2026-01-01T00:00:00.000Z",
      "linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
      "customerUpdateTime": "2026-01-01T00:00:00.000Z"
    },
    "cancellationHistory": [
      {
        "cancelReasonEnum": "ADMIN_REASON",
        "cancelAdditionalReason": "text",
        "cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "cancelledBy": "text",
        "cancelledDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "externalOnboarding": {
      "provider": "BANKAXEPT",
      "agreementId": "123e4567-e89b-12d3-a456-426614174000",
      "agreementStatus": "text",
      "merchantId": "text"
    }
  }
}

Update/Replace POI order.

put

Update/Replace POI order. This can only be done if the order has not been submitted.

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Header parameters
validateAcquirerbooleanOptional

An optional header indicating whether to validate the acquirer.

Body
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
requestedDateOfShipmentstring · date-timeOptional

Requested date of shipment.

merchantIdstring · max: 75Optional

The Merchant identifier to which POIs under this order should refer to while linking a Payment Provider Contract.A new PPC will be created & linked if the MID doesn't already exist or left blank.

Pattern: ^[a-zA-Z0-9]+$
Responses
200

Replace POI Order Response

application/json
orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
requestedDateOfShipmentstring · date-timeOptional

Requested date of shipment.

merchantIdstring · max: 75Optional

The Merchant identifier to which POIs under this order should refer to while linking a Payment Provider Contract.A new PPC will be created & linked if the MID doesn't already exist or left blank.

Pattern: ^[a-zA-Z0-9]+$
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

orderTypestringRequiredDefault: POIOrder
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
put/orders/pois/{orderId}
PUT /orders/pois/{orderId} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 7101

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": {
          "processor": "TSYS_US",
          "tidList": [
            "1004631982",
            "1004631983",
            "1004631984"
          ]
        },
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "contract": {
    "brokerId": "text",
    "legalStructure": "PROPRIETOR_OWN_BEHALF",
    "contacts": [
      {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "addressDetails": {
          "receiverName": "text",
          "addressLine1": "213 Miller Street",
          "addressLine2": "North Sydney",
          "addressLine3": "text",
          "poBox": "K1234",
          "city": "York",
          "countrySubdivision": "Georgia",
          "postCode": "2061",
          "country": "AUS",
          "timeZone": "text"
        },
        "dateOfBirth": "2026-01-01",
        "placeOfBirth": "text",
        "isIDCheckRequired": false,
        "isContractSignatureRequired": false,
        "isLegalRepresentative": false,
        "isAuthorizedRepresentative": false,
        "isBeneficiaryOwner": false,
        "isPoliticallyExposed": false,
        "representativeType": "GENERAL_COMMERCIAL_POWER"
      }
    ],
    "settlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "country": "AUS",
      "accountName": "text",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "domesticSettlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumberType": "DEFAULT",
      "accountNumber": "23008275"
    },
    "serviceStartDate": "2026-01-01T00:00:00.000Z",
    "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
    "proprietorAct": true,
    "documents": [
      {
        "documentId": "123e4567-e89b-12d3-a456-426614174000",
        "documentName": "text",
        "displayName": "text",
        "status": "PENDING_UPLOAD",
        "allowedContentTypes": [
          "application/pdf"
        ],
        "allowedContentLength": 2097152,
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "uploadedDate": "2026-01-01T00:00:00.000Z",
        "modifiedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "replacementAgreement": {
      "contractNumber": "text",
      "devices": [
        {
          "serialNumber": "text",
          "deviceModel": "text"
        }
      ]
    }
  },
  "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "shippingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "billingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
  "pois": [
    {
      "type": "UNSPECIFIED",
      "poiId": "text",
      "subPoiId": "text",
      "altVfiPoiId": "1004631982",
      "estateManagementId": "text",
      "estateManagementQrCode": "iVBORw0KGgoAAAANSUhEUgAAAWYAAACeCAYAAAABkKDWAAAAAXNSR0I.....",
      "serialNumber": "text",
      "laneInformation": {
        "customerLaneId": "text",
        "customerLaneDesignator": "text",
        "laneNotes": "text"
      },
      "networkConfig": {
        "ipAddress": "text",
        "ipGateway": "text",
        "subnetMask": "text",
        "networkPrefix": "text",
        "dns1": "text",
        "dns2": "text",
        "wifiSSID": "text",
        "wifiPassword": "text",
        "wpaEncryptionMethod": "text"
      },
      "name": "text",
      "description": "text",
      "status": "ACTIVE",
      "cutoverTime": "17:00",
      "poiUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "acquirerPoiIds": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ],
      "poiLabels": [
        "text"
      ],
      "activationCode": "89EG-1A5F-P3T2",
      "vhqCustomerId": "text",
      "vhqUrl": "https://qa.apac.verifonehq.net",
      "paymentAppParameters": "[Circular Reference]",
      "devicePackage": {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "quantity": 4
      },
      "additionalDevicePackages": [
        {
          "packageBundleId": "PREMIUM-36MONTH",
          "adjustedPrices": [
            {
              "priceModel": "MONTHLY_FEE",
              "price": "20.50"
            }
          ],
          "additionalPackageData": [
            {
              "variableName": "VAT_ID or BAX_ID",
              "variableValue": "1234566"
            }
          ],
          "quantity": 4
        }
      ],
      "deliveryPackage": {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ]
      }
    }
  ],
  "merchantId": "text"
}
{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "packageDetails": {
    "portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
    "basePackageBundle": {
      "packageBundleId": "PREMIUM-36MONTH",
      "price": "20.50"
    },
    "servicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "processorParameters": "[Circular Reference]",
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "threeDSMerchantIdentifiers": {
          "merchantId": "541734",
          "paymentType": "AFFIRM"
        }
      }
    ],
    "deliveryPackage": {
      "packageBundleId": "PREMIUM-36MONTH",
      "adjustedPrices": [
        {
          "priceModel": "MONTHLY_FEE",
          "price": "20.50"
        }
      ],
      "additionalPackageData": [
        {
          "variableName": "VAT_ID or BAX_ID",
          "variableValue": "1234566"
        }
      ]
    }
  },
  "contract": {
    "brokerId": "text",
    "legalStructure": "PROPRIETOR_OWN_BEHALF",
    "contacts": [
      {
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "addressDetails": {
          "receiverName": "text",
          "addressLine1": "213 Miller Street",
          "addressLine2": "North Sydney",
          "addressLine3": "text",
          "poBox": "K1234",
          "city": "York",
          "countrySubdivision": "Georgia",
          "postCode": "2061",
          "country": "AUS",
          "timeZone": "text"
        },
        "dateOfBirth": "2026-01-01",
        "placeOfBirth": "text",
        "isIDCheckRequired": false,
        "isContractSignatureRequired": false,
        "isLegalRepresentative": false,
        "isAuthorizedRepresentative": false,
        "isBeneficiaryOwner": false,
        "isPoliticallyExposed": false,
        "representativeType": "GENERAL_COMMERCIAL_POWER"
      }
    ],
    "settlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "country": "AUS",
      "accountName": "text",
      "iban": "text",
      "bic": "CTBAAU2SXXX"
    },
    "domesticSettlementAccount": {
      "currency": "AED",
      "accountHolderType": "BUSINESS",
      "description": "Coffee Supreme Trading",
      "nickname": "Store 1 Account",
      "accountName": "Coffee Supreme LTD",
      "sortCode": "301105",
      "bsb": 22039,
      "routingTransitNumber": "247484410",
      "accountNumberType": "DEFAULT",
      "accountNumber": "23008275"
    },
    "serviceStartDate": "2026-01-01T00:00:00.000Z",
    "terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
    "proprietorAct": true,
    "documents": [
      {
        "documentId": "123e4567-e89b-12d3-a456-426614174000",
        "documentName": "text",
        "displayName": "text",
        "status": "PENDING_UPLOAD",
        "allowedContentTypes": [
          "application/pdf"
        ],
        "allowedContentLength": 2097152,
        "contact": {
          "contactType": "BUSINESS",
          "name": {
            "firstName": "text",
            "lastName": "text",
            "prefix": "text",
            "alternateFullName": "text",
            "middleName": "text",
            "suffix": "text"
          },
          "phoneNumbers": [
            {
              "callingCode": "text",
              "value": "text",
              "extension": "text",
              "isPrimary": false,
              "phoneType": "HOME"
            }
          ],
          "email": "name@gmail.com",
          "businessTitle": "text",
          "passportId": "text",
          "nationality": "text",
          "additionalNationalities": [
            "text"
          ],
          "nationalIdentifer": "text"
        },
        "uploadedDate": "2026-01-01T00:00:00.000Z",
        "modifiedDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "replacementAgreement": {
      "contractNumber": "text",
      "devices": [
        {
          "serialNumber": "text",
          "deviceModel": "text"
        }
      ]
    }
  },
  "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "shippingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "billingAddress": {
    "contact": {
      "contactType": "BUSINESS",
      "name": {
        "firstName": "text",
        "lastName": "text",
        "prefix": "text",
        "alternateFullName": "text",
        "middleName": "text",
        "suffix": "text"
      },
      "phoneNumbers": [
        {
          "callingCode": "text",
          "value": "text",
          "extension": "text",
          "isPrimary": false,
          "phoneType": "HOME"
        }
      ],
      "email": "name@gmail.com",
      "businessTitle": "text"
    },
    "vfiSiteId": "text",
    "storeNumber": "text",
    "governmentOwned": true,
    "governmentCountry": "AUS",
    "receiverName": "text",
    "addressLine1": "213 Miller Street",
    "addressLine2": "North Sydney",
    "addressLine3": "text",
    "poBox": "K1234",
    "city": "York",
    "countrySubdivision": "Georgia",
    "postCode": "2061",
    "country": "AUS",
    "timeZone": "text"
  },
  "requestedDateOfShipment": "2026-01-01T00:00:00.000Z",
  "pois": [
    {}
  ],
  "merchantId": "text",
  "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
  "status": "DRAFT",
  "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "createdBy": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "modifiedBy": "text",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderType": "POIOrder",
  "merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchant": {
    "merchantName": "text"
  },
  "internal": {
    "oracleOrderNumber": 1,
    "oracleShippingTrackingReference": "text",
    "kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
    "tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
    "extendedDetails": {
      "status": "DRAFT",
      "code": "text",
      "information": "text",
      "lastChangeTime": "2020-01-06T18:16:14.243Z",
      "canCancel": true
    },
    "orderStats": {
      "minsSinceCreatedToLastUpdate": 0,
      "minsSinceLastStatusUpdate": 0
    },
    "vmssApplication": {
      "visaStatus": "NA ",
      "visaMatches": 1,
      "mcdStatus": "NA ",
      "mcdMatches": 1,
      "mcdTransactionReference": "text"
    },
    "salesforceApplicationId": "text",
    "signingInformation": {
      "provider": "SIGNICAT",
      "providerRef": "text",
      "signedFileUrl": "text",
      "signingRequests": [
        {
          "providerRef": "text",
          "contact": {
            "contactType": "BUSINESS",
            "name": {
              "firstName": "text",
              "lastName": "text",
              "prefix": "text",
              "alternateFullName": "text",
              "middleName": "text",
              "suffix": "text"
            },
            "phoneNumbers": [
              {
                "callingCode": "text",
                "value": "text",
                "extension": "text",
                "isPrimary": false,
                "phoneType": "HOME"
              }
            ],
            "email": "name@gmail.com",
            "businessTitle": "text"
          },
          "signed": false,
          "signedDateTime": "2026-01-01T00:00:00.000Z",
          "signingLink": "text"
        }
      ]
    },
    "econtractNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "draftNotificationReminder": {
      "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
      "notificationCount": 1,
      "templateName": "text",
      "notifications": [
        {
          "sentDateTime": "2026-01-01T00:00:00.000Z",
          "template": "text",
          "responseReferenceId": "text"
        }
      ]
    },
    "notificationReminders": {
      "econtract": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "draft": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      },
      "docRequired": {
        "lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
        "notificationCount": 1,
        "templateName": "text",
        "notifications": [
          {
            "sentDateTime": "2026-01-01T00:00:00.000Z",
            "template": "text",
            "responseReferenceId": "text"
          }
        ]
      }
    },
    "customerOrderLink": {
      "orderLink": "https://example.com",
      "linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkInitiatorUsername": "text",
      "linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
      "linkReceiverUsername": "text",
      "linkSendTime": "2026-01-01T00:00:00.000Z",
      "linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
      "customerUpdateTime": "2026-01-01T00:00:00.000Z"
    },
    "cancellationHistory": [
      {
        "cancelReasonEnum": "ADMIN_REASON",
        "cancelAdditionalReason": "text",
        "cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
        "cancelledBy": "text",
        "cancelledDate": "2026-01-01T00:00:00.000Z"
      }
    ],
    "externalOnboarding": {
      "provider": "BANKAXEPT",
      "agreementId": "123e4567-e89b-12d3-a456-426614174000",
      "agreementStatus": "text",
      "merchantId": "text"
    }
  }
}

Create POI Accessory Order

post

Creates an order for add-on accessories & consumables (e.g. stationery) which are typically used with a POI.

Path parameters
poiUidstring · uuidRequired

The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
Body

Accessory & corresponding package details

orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
Responses
201

POI Accessory Order Response

application/json

Standard fields returned in Order responses

orderReferencestring · min: 1Required

Client reference for the Order.

Example: ORD-1234
customerEntityUidstring · uuidRequired

Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).

requestedDatestring · date-timeOptional

The requested date for this order.

deferredOrderProcessingDatestring · date-timeOptional

Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.

Example: 2026-06-20T09:00:00Z
poRefstringOptional

Purchase Order Reference

Example: 85219587
notesstringOptional

Notes for the Order

Example: Current in draft, caller got busy, callback anothertime.
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumRequiredPossible values:
createdUserUidstring · uuidOptional

The assigned User ID corresponding to the Order Created By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
createdBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

createdDatestring · date-timeOptional

The created date for this order.

modifiedUserUidstring · uuidOptional

The assigned User_ID corresponding to the Order Modified By.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
modifiedBystring · min: 1Optional

The username of the person who's UID is represented, e.g. "John/Jane Smith".

modifiedDatestring · date-timeOptional

The last modified date for this order.

entityUidstring · uuidOptional

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
merchantCompanyEntityUidstring · uuidOptional

The Verifone allocated unique ID for this merchant company.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
orderTypestringRequiredDefault: POIAccessoryOrder
post/pois/orders/accessories/{poiUid}
POST /pois/orders/accessories/{poiUid} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 1172

{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "accessory": {
    "accessoryType": "CONSUMABLES",
    "additionalDevicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "quantity": 4
      }
    ]
  }
}
{
  "orderReference": "ORD-1234",
  "customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
  "requestedDate": "2026-01-01T00:00:00.000Z",
  "deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
  "poRef": "85219587",
  "paymentDetails": {
    "paymentType": "CREDIT",
    "accountType": "CHEQUE",
    "accountCurrency": "AED",
    "institutionName": "HSBC Bank",
    "accountName": "Coffee Supreme LTD",
    "sortCode": "301105",
    "bsb": 22039,
    "routingTransitNumber": "247484410",
    "accountNumber": "23008275",
    "accountAddress": {
      "receiverName": "text",
      "addressLine1": "213 Miller Street",
      "addressLine2": "North Sydney",
      "addressLine3": "text",
      "poBox": "K1234",
      "city": "York",
      "countrySubdivision": "Georgia",
      "postCode": "2061",
      "country": "AUS",
      "timeZone": "text"
    },
    "ean": "23008275",
    "iban": "text",
    "bic": "CTBAAU2SXXX"
  },
  "notes": "Current in draft, caller got busy, callback anothertime.",
  "additionalOrderData": [
    {
      "variableName": "VAT_ID or BAX_ID",
      "variableValue": "1234566"
    }
  ],
  "accessory": {
    "accessoryType": "CONSUMABLES",
    "additionalDevicePackages": [
      {
        "packageBundleId": "PREMIUM-36MONTH",
        "adjustedPrices": [
          {
            "priceModel": "MONTHLY_FEE",
            "price": "20.50"
          }
        ],
        "additionalPackageData": [
          {
            "variableName": "VAT_ID or BAX_ID",
            "variableValue": "1234566"
          }
        ],
        "quantity": 4
      }
    ]
  },
  "orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
  "status": "DRAFT",
  "createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "createdBy": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
  "modifiedBy": "text",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
  "merchant": {
    "merchantName": "text"
  },
  "orderType": "POIAccessoryOrder"
}

Last updated

Was this helpful?